/**
 * Stalk-JavaScript, Node.js client. Supported react, react-native.
 * Support by@ nattapon.r@live.com
 * 
 * Ahoo Studio.co.th 
 */

import { ServerImplemented, ServerParam, IDictionary, DataDict } from "./lib/browser/serverImplemented";
import { ChatRoomApiProvider } from "./lib/browser/chatRoomApiProvider";
import { StalkEvents } from "./lib/browser/StalkEvents";

import { HttpStatusCode } from "./lib/utils/httpStatusCode";
import { TokenDecode } from "./lib/utils/tokenDecode";

export namespace Stalk {
    export var Events = StalkEvents;
    export var ChatRoom = ChatRoomApiProvider;
    export var Utils = {
        statusCode: HttpStatusCode,
        tokenDecode: TokenDecode
    };
    export var Stalk = {
        server: ServerImplemented,
        serverParam: ServerParam,
        dataDict: DataDict
    };
};